import { EditableProps } from 'slate-react/dist/components/editable';
import { DOMHandlers } from '../types/SlatePlugin/DOMHandlers';
import { SlatePlugin } from '../types/SlatePlugin/SlatePlugin';
import { SPEditor } from '../types/SPEditor';
/**
 * Generic pipe for handlers.
 * - Get all the plugins handlers by `handlerKey`.
 * - If there is no plugin handler or editable prop handler for this key, return `undefined`.
 * - Return a handler calling all the plugins handlers until one returns `false`.
 * - Call the props handler if defined.
 */
export declare const pipeHandler: <K extends keyof DOMHandlers<SPEditor>>(editor: SPEditor, { editableProps, handlerKey, plugins, }: {
    editableProps?: EditableProps | undefined;
    handlerKey: K;
    plugins?: SlatePlugin<SPEditor>[] | undefined;
}) => ((event: any) => void) | undefined;
//# sourceMappingURL=pipeHandler.d.ts.map