import { SlatePlugin } from '../types/SlatePlugin/SlatePlugin';
import { WithOverride } from '../types/SlatePlugin/WithOverride';
import { SlatePluginComponent, SlatePluginsOptions } from '../types/SlatePluginOptions/SlatePluginsOptions';
import { SPEditor } from '../types/SPEditor';
import { TEditor } from '../types/TEditor';
export interface WithSlatePluginsOptions<T extends SPEditor = SPEditor> {
    id?: string | null;
    plugins?: SlatePlugin<T>[];
    options?: SlatePluginsOptions;
    components?: Record<string, SlatePluginComponent>;
}
/**
 * Apply `withInlineVoid` and all slate plugins `withOverrides`.
 * Overrides:
 * - `id`: id of the editor.
 * - `key`: random key for the <Slate> component so each time the editor is created, the component resets.
 * - `options`: {@link SlatePluginsOptions}
 */
export declare const withSlatePlugins: <T extends SPEditor = SPEditor>({ id, plugins, options, components, }?: WithSlatePluginsOptions<T>) => WithOverride<TEditor<{}>, T>;
//# sourceMappingURL=withSlatePlugins.d.ts.map